Package: org.codehaus.groovy.runtime

## [Java] Class ReverseListIterator<T>

- org.codehaus.groovy.runtime.ReverseListIterator

- All Implemented Interfaces and Traits:
    Iterator

      public class ReverseListIterator<T>
      extends Object
      implements Iterator

  A reverse iterator over a list. Utilizes the ListIterator obtained from the provided List and converts it to an Iterator that efficiently traverses the `List` in reverse. The fail-fast semantics of this iterator are the same as the semantics of the underlying `ListIterator`.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReverseListIterator(List<T> list)` Constructs a new `ReverseListIterator` for the provided list.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `hasNext()` {@inheritDoc}
    `` | `public T` | `next()` {@inheritDoc}
    `` | `public void` | `remove()` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReverseListIterator(List<T> list)

      Constructs a new `ReverseListIterator` for the provided list.

      Parameters:
        `list` - the list to iterate over in reverse

  - ### Method Detail

    - #### @Override
      public boolean hasNext()

      {@inheritDoc}

    - #### @Override
      public T next()

      {@inheritDoc}

    - #### @Override
      public void remove()

      {@inheritDoc}